import 'package:flyinsono/pages/auth/widgets/code_field.dart';
import 'package:get/get.dart';

import 'controller.dart';

///找回密码界面依赖绑定
class RetrievePasswordBinding implements Bindings {
  @override
  void dependencies() {
    final tag = RetrievePasswordController.VERIFICATION_CONTROLLER_TAG;
    if (!Get.isRegistered<VerificationCodeFieldController>(tag: tag)) {
      Get.lazyPut(
        () => VerificationCodeFieldController(countDown: 120),
        tag: tag,
      );
    }
    Get.lazyPut<RetrievePasswordController>(() => RetrievePasswordController());
  }
}
